Name: xmule
Version: 1.8.4
Release: alt1

Summary: A Linux port of eMule client using wxWindows class library
License: GPL
Group: Networking/File transfer
Url: http://www.xmule.org
Packager: Andrey Semenov <mitrofan@altlinux.ru>

Source: %name-%version.tar.bz2
Source1: %name.menu
Source3: %name-32x32.png
Source4: %name-48x48.png
Source5: %name-sh

Requires: wxGTK => 2.4.2
Obsoletes: lmule
Provides: lmule

# Automatically added by buildreq on Fri Mar 21 2003
BuildRequires: XFree86-devel XFree86-libs gcc-c++ glib-devel
BuildRequires: gtk+-devel libstdc++-devel libtiff
BuildRequires: libjpeg wxGTK-devel zlib-devel libexpat-devel

%description
This program is a Linux port of eMule client using wxWindows class library
Features
 Download/Upload works
 You can search and add ed2k-links
 Statistics
 Shared files tab works
 Messages tab is now implemented
 You can manage friends
 Systray support
 You can set nearly all preferences

%prep
%setup -q

%build
./configure  --prefix=/usr --enable-timedate --enable-gui \
             --enable-protocol --enable-http --enable-ftp --enable-resources \
	     --enable-prologio --disable-debug --enable-final --enable-timer \
	     --with-gtk --disable-profile --with-wx-config=/usr/bin/wx-config
%make

%install
%makeinstall
%__install -pD -m644 %SOURCE1 %buildroot%_menudir/%name
%__install -pD -m644 %SOURCE3 %buildroot%_iconsdir/%name.png
%__install -pD -m644 %SOURCE4 %buildroot%_liconsdir/%name.png
#%__mv %buildroot%_bindir/%name %buildroot%_bindir/%name-bin
#%__install -pD -m755 %SOURCE5 %buildroot%_bindir/%name

%find_lang %name

%post
%update_menus

%postun
%clean_menus

%files -f %name.lang
%doc AUTHORS ChangeLog INSTALL README TODO ED2K-Links.HOWTO
%_bindir/*
%_menudir/%name
%_datadir/applications/%name.desktop
%_datadir/pixmaps/%name.xpm
%_iconsdir/%name.png
%_liconsdir/%name.png

%changelog
* Thu Jul 15 2004 Andrey Semenov <mitrofan@altlinux.ru> 1.8.4-alt1
- new version
- removed all memory leaks and warnings in the Search dialog
- removed all memory leaks and warnings in the Preferences interface
- removed a bad bug that had xMule not connecting to many sources
- added compatibility for new proprietary lugdunum 16.47 servers

* Mon Jul 12 2004 Andrey Semenov <mitrofan@altlinux.ru> 1.8.3-alt1
- new version
- bugs fixed

* Fri Jun 18 2004 Andrey Semenov <mitrofan@altlinux.ru> 1.8.2c-alt3
- add shell-wrapper file

* Wed Jun 9 2004 Andrey Semenov <mitrofan@altlinux.ru> 1.8.2c-alt2
- added resource files

* Sat Jun 5 2004 Andrey Semenov <mitrofan@altlinux.ru> 1.8.2c-alt1
- fixed timeout was too low for DownloadClients
- added: Secure-Identification & Secure Clientcredits
- added: Switches for "Secure Identification ON/OFF" & "Source Exchange ON/OFF"
- added: Initial "Command Center"-Implementation

* Tue May 11 2004 Andrey Semenov <mitrofan@altlinux.ru> 1.8.2b-alt2
- rebuild with gcc-3.3

* Mon May 3 2004 Andrey Semenov <mitrofan@altlinux.ru> 1.8.2b-alt1
- 1.8.2b
- bugs fixed

* Tue Apr 13 2004 Andrey Semenov <mitrofan@altlinux.ru> 1.8.2-alt1
- 1.8.2
- FIXED: Timeout for Clients in the Upload List
- Better Source Dropping in the Download List
- Color change depending on availabilty in the Searchwindow

* Wed Apr 7 2004 Andrey Semenov <mitrofan@altlinux.ru> 1.8.1-alt1
- 1.8.1
- FIXED: Systray Integration for KDE 3 and GNOME 1.2
- FIXED: Several bugs in the Search Window (Search History, ED2K Multilink)
- FIXED: Crashes on Startup when .xMule/ doesn't exist
- FIXED: Exception-bug in ShowDownloadingParts
- FIXED: The Chinese Search font display problem in GTK 1.2
- FIXED: Fewer large packets are incorrectly dropped (e.g. faster downloads)
- Increased maximum filesize from 2GB to 4GB (ed2k's max filesize)

* Mon Apr 5 2004 Andrey Semenov <mitrofan@altlinux.ru> 1.8.0-alt1
- 1.8.0
- Added full ZLIB support
- Extended support for virtually all of eMule's v3x protocol changes
- Enhanced transfer controls with A4AF, NNS, etc
- Supports every eDonkey server
- FIXED: Spurious FAT32 permission warnings
- Integrated all changes from 1.7.0-1.7.4c (see ChangeLog-UNSTABLE)

* Sat Oct 11 2003 Andrey Semenov <mitrofan@altlinux.ru> 1.6.1-alt1
- 1.6.1
- Removed all font specifications from the XML resources.
- Do not start a search after adding an ED2K-Link.
- Enable clipping in download list control.
- FIXED: Bug rehashing a part file.
- FIXED: Various minor problems found by malloc debuggers.

* Wed Aug 27 2003 Andrey Semenov <mitrofan@altlinux.ru> 1.6.0-alt1
- 1.6.0
- Categories implemented.
- Much better No Needed/High Queue Ranking sources handling
- Shared files loading made 30x faster, now supports thousands of files.

* Sun Aug 3 2003 Andrey Semenov <mitrofan@altlinux.ru> 1.5.6a-alt1
- 1.5.6a
- bugs fixed

* Fri Jul 11 2003 Andrey Semenov <mitrofan@altlinux.ru> 1.5.5-alt1
- 1.5.5

* Sun Jul 6 2003 Andrey Semenov <mitrofan@altlinux.ru> 1.5.4-alt1
- 1.5.4
- bugs fixed
- add icons

* Wed Jul 2 2003 Andrey Semenov <mitrofan@altlinux.ru> 1.5.3-alt1
- 1.5.3

* Mon Jun 23 2003 Andrey Semenov <mitrofan@altlinux.ru> 1.5.2-alt1
- 1.5.2

* Fri Jun 20 2003 Andrey Astafiev <andrei@altlinux.ru> 1.5.1-alt2
- Rebuilt with new wxGTK.
- Translations now added with %find_lang macros.

* Fri Jun 13 2003 Andrey Semenov <mitrofan@altlinux.ru> 1.5.1-alt1
- 1.5.1

* Sun Jun 8 2003 Andrey Semenov <mitrofan@altlinux.ru> 1.5.0-alt1
- 1.5.0

* Fri Jun 6 2003 Andrey Semenov <mitrofan@altlinux.ru> 1.4.0-alt2
- Patch shutdown crash
- Cleanup spec

* Mon May 28 2003 Andrey Semenov <mitrofan@altlinux.ru> 1.4.0-alt1
- 1.4.0
- lmule -> xmule

* Mon Apr 28 2003 Andrey Semenov <mitrofan@altlinux.ru> 1.2.1-alt1
- 1.2.1

* Mon Apr 21 2003 Andrey Semenov <mitrofan@altlinux.ru> 1.2.0-alt1
- 1.2.0

* Sun Mar 30 2003 Andrey Semenov <mitrofan@altlinux.ru> 1.1.13c-alt1
- 1.1.13c

* Tue Mar 25 2003 Andrey Semenov <mitrofan@altlinux.ru> 1.1.12-alt1
- Missing features in search page implemented

* Fri Mar 21 2003 Andrey Semenov <mitrofan@altlinux.ru> 1.1.11b-alt1
- First version of RPM package.
